[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# modulus(Float,Float):Float

Floating point modulo

## Declaration

Source position: math.pp line 227

`operator operator mod(`
`const a: Float;`
`const b: Float`
`):Float;`

## Description

Modulus is the floating-point equivalent of the modulo operation a mod b. It returns the result of

a-b * Int(a/b)

## Errors

b may not be zero, but no check is performed.

## See also

FMod |  | Floatin point modulo